Skip to main content
GET
/
v1
/
kalshi
/
trades
Kalshi Trades (Native)
curl --request GET \
  --url https://api.arbiterapi.com/v1/kalshi/trades \
  --header 'X-API-Key: <api-key>'
{
  "trades": [
    {
      "trade_id": "t_abc123",
      "ticker": "KXBTC-26MAR28-100000",
      "taker_side": "yes",
      "yes_price": 65,
      "no_price": 35,
      "count": 10,
      "created_time": "2026-03-28T14:30:00Z",
      "is_taker_side_yes": true
    }
  ],
  "cursor": "next_page_cursor_token"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

ticker
string
required

Kalshi market ticker

limit
integer
default:100
Required range: 1 <= x <= 500
cursor
string | null

Response

Raw Kalshi trades with pagination cursor

The response is of type Response Get Kalshi Trades V1 Kalshi Trades Get · object.